package com.tecnavia.firebase.crashlytics;

import android.content.Context;
import android.content.SharedPreferences;

public class ReactNativeFirebasePreferences {
	private static final String PREFERENCES_FILE = "com.tecnavia.firebase";
	private static final ReactNativeFirebasePreferences sharedInstance = new ReactNativeFirebasePreferences();
	private SharedPreferences preferences;

	public static ReactNativeFirebasePreferences getSharedInstance() {
		return sharedInstance;
	}

	public void setBooleanValue(Context applicationContext, String key, boolean value) {
		try {
			getPreferences(applicationContext).edit().putBoolean(key, value).apply();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public boolean getBooleanValue(Context applicationContext, String key, boolean defaultValue) {
		try {
			return getPreferences(applicationContext).getBoolean(key, defaultValue);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return defaultValue;
	}

	private SharedPreferences getPreferences(Context applicationContext) {
		if (preferences == null) {
			preferences = applicationContext.getSharedPreferences(PREFERENCES_FILE, Context.MODE_PRIVATE);
		}
		return preferences;
	}
}
