require 'json'
package = JSON.parse(File.read(File.join(__dir__, 'package.json')))
#default version
firebase_sdk_version = "10.22.0"

Pod::Spec.new do |s|
  s.name                = "react-native-firebase-crashlytics"
  s.version             = package["version"]
  s.description         = package["description"]
  s.summary             = <<-DESC
                            A well tested feature rich Firebase implementation for React Native, supporting iOS & Android.
                          DESC
  s.homepage            = "https://ussvc01.newsmemory.com:3000/tecnavia/react-native-firebase-crashlytics"
  s.license             = package['license']
  s.authors             = "Nick Aquilini"
  s.source              = { :git => "https://ussvc01.newsmemory.com:3000/tecnavia/react-native-firebase-crashlytics", :tag => "v#{s.version}" }
  s.ios.deployment_target = "10.0"
  s.source_files        = 'ios/**/*.{h,m}'

  # React Native dependencies
  s.dependency          'React-Core'

  if defined?($FirebaseSDKVersion)
    Pod::UI.puts "#{s.name}: Using user specified Firebase SDK version '#{$FirebaseSDKVersion}'"
    firebase_sdk_version = $FirebaseSDKVersion
  end

  # Firebase dependencies
  s.dependency          'Firebase/Crashlytics', firebase_sdk_version

  if defined?($RNFirebaseAsStaticFramework)
    Pod::UI.puts "#{s.name}: Using overridden static_framework value of '#{$RNFirebaseAsStaticFramework}'"
    s.static_framework = $RNFirebaseAsStaticFramework
  else
    s.static_framework = false
  end

end
